package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TDevkind;
import com.chinaitop.depot.intelligent.basicdata.model.TDevkindExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TDevkindMapper {
    int countByExample(TDevkindExample example);

    int deleteByExample(TDevkindExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TDevkind record);

    int insertSelective(TDevkind record);

    List<TDevkind> selectByExample(TDevkindExample example);

    TDevkind selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TDevkind record, @Param("example") TDevkindExample example);

    int updateByExample(@Param("record") TDevkind record, @Param("example") TDevkindExample example);

    int updateByPrimaryKeySelective(TDevkind record);

    int updateByPrimaryKey(TDevkind record);
}